Attention ! Ne cliquez pas sur ce lien, c'est un piège à enfoirés du net !

Chez oim, forum libreChez oim, forum libre

 

Auteur Sujet: Discussions autour de Wamp avec un de ses créateurs, Otomatic  (Lu 125347 fois)

JCFM

  • Observateur
  • Pipelette increvable
  • *******
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 3.006
  • Choléra officiel chez oim !
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #869 le: samedi 08 janvier 2022, 12:26 »
le: samedi 08 janvier 2022, 12:26

 :jw:
Signaler au modérateur   IP archivée
Jean Claude :gt: Le "Choléra" officiel de chez Oim ! Alcoolique invétéré !

Otomatic

  • Observateur
  • Pipelette pathologique
  • ******
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 1.395
  • Vieux geek assagi
      • Aviatechno
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #870 le: vendredi 14 janvier 2022, 16:42 »
le: vendredi 14 janvier 2022, 16:42

Bonjour,

VC17 Paquetages - VC 2015-2022 14.30.30708
Visual C++ Redistributable Packages for Visual Studio 2015-2022 x86
Visual C++ Redistributable Packages for Visual Studio 2015-2022 x64
VC 2015-2022 (VC17) est retrocompatible avec VC 2015 (VC14), VC 2017 (VC15) et VC 2019 (VC16). Cela signifie qu'un module VC14, VC15 ou VC16 peut être utilisé avec les binaires VC17. De par cette compatibilité, le numéro de version de Redistributable est 14.3x.xx et après l'installation, les paquetages Redistribuable VC2015 (VC14), VC2017 (VC15) et VC2019 (VC16) sont éventuellement supprimés mais vous pourrez toujours utiliser VC14, VC15 et VC16.


- Vérifier que tous les paquetages VC++ sont bien installés et avec les dernières versions.
Pour ce faire, utilisez l'outil :
Vérifications paquetages VC installés
N'utilisez pas une ancienne version de l'outil que vous auriez déjà téléchargé. Télécharger toujours la dernière version juste avant de l'utiliser.
Pour télécharger les paquetages manquants, ne vous fiez pas aux liens Microsoft, ils ne sont pas toujours fiables, télécharger les paquetages sur http://wampserver.aviatechno.net dans la section Visual C++ Redistribuable Packages
Signaler au modérateur   IP archivée
« La vie sans musique est tout simplement une erreur, une fatigue, un exil. » Friedrich Nietzsche.
« Ce n'est pas parce qu'ils sont nombreux à avoir tort qu'ils ont forcément raison. » Coluche

Otomatic

  • Observateur
  • Pipelette pathologique
  • ******
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 1.395
  • Vieux geek assagi
      • Aviatechno
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #871 le: samedi 15 janvier 2022, 09:59 »
le: samedi 15 janvier 2022, 09:59

Bonjour,

J'ai précédemment parlé du module Apache fcgid_module qui permet d'utiliser, pour les VirtualHost, des versions PHP autres que celle par défaut de Wampserver.
Pour les alias, c'est un petit peu différent.
Par exemple pour pouvoir utiliser PhpMyAdmin 5.1.1 avec PHP 7.4.27 alors que la version de Wampserver est PHP 8.1.1, incompatible avec PhpMyAdmin 5.1.1, il faut modifier l'alias comme ci-dessous:
Code
Alias /phpmyadmin "${INSTALL_DIR}/apps/phpmyadmin5.1.1/"
<IfModule fcgid_module>
  Define FCGIPHPVERSION "7.4.27"
  FcgidInitialEnv PHPRC ${PHPROOT}${FCGIPHPVERSION}
</IfModule>
<Directory "${INSTALL_DIR}/apps/phpmyadmin5.1.1/">
  Options +Indexes +FollowSymLinks +MultiViews
  AllowOverride all
  Require local
  <IfModule fcgid_module>
    <Files ~ "\.php$">
      Options +Indexes +Includes +FollowSymLinks +MultiViews +ExecCGI
      AddHandler fcgid-script .php
      FcgidWrapper "${PHPROOT}${FCGIPHPVERSION}/php-cgi.exe" .php
    </Files>
  </IfModule>

# To import big file you can increase values
  php_admin_value upload_max_filesize 128M
  php_admin_value post_max_size 128M
  php_admin_value max_execution_time 360
  php_admin_value max_input_time 360
</Directory>
Bien sûr, avec Wampserver 3.2.7, il y aura quand même le message disant que PhpMyAdmin 5.1.1 est incompatible avec PHP 8.1.1, mais ça fonctionne.
Cela sera correctement géré avec Wampserver 3.2.8.
Signaler au modérateur   IP archivée
« La vie sans musique est tout simplement une erreur, une fatigue, un exil. » Friedrich Nietzsche.
« Ce n'est pas parce qu'ils sont nombreux à avoir tort qu'ils ont forcément raison. » Coluche

Otomatic

  • Observateur
  • Pipelette pathologique
  • ******
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 1.395
  • Vieux geek assagi
      • Aviatechno
Signaler au modérateur   IP archivée
« La vie sans musique est tout simplement une erreur, une fatigue, un exil. » Friedrich Nietzsche.
« Ce n'est pas parce qu'ils sont nombreux à avoir tort qu'ils ont forcément raison. » Coluche

Otomatic

  • Observateur
  • Pipelette pathologique
  • ******
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 1.395
  • Vieux geek assagi
      • Aviatechno
Signaler au modérateur   IP archivée
« La vie sans musique est tout simplement une erreur, une fatigue, un exil. » Friedrich Nietzsche.
« Ce n'est pas parce qu'ils sont nombreux à avoir tort qu'ils ont forcément raison. » Coluche

Otomatic

  • Observateur
  • Pipelette pathologique
  • ******
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 1.395
  • Vieux geek assagi
      • Aviatechno
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #874 le: samedi 22 janvier 2022, 10:26 »
le: samedi 22 janvier 2022, 10:26

Bonjour,

- PhpMyAdmin 5.1.2 -- Supporte PHP 7.1, 7.2, 7.3, 7.4, 8.0 et 8.1 - Ne supporte pas PHP 5.5, 5.6 et 7.0.
https://wampserver.aviatechno.net/files/apps/wampserver3_x86_x64_phpmyadmin5.1.2.exe
Signaler au modérateur   IP archivée
« La vie sans musique est tout simplement une erreur, une fatigue, un exil. » Friedrich Nietzsche.
« Ce n'est pas parce qu'ils sont nombreux à avoir tort qu'ils ont forcément raison. » Coluche

alex

  • Administrateur
  • Moulin à paroles
  • ********
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 21.514
  • Proprio officiel chez oim !
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #875 le: samedi 22 janvier 2022, 20:53 »
le: samedi 22 janvier 2022, 20:53

Il y a une toute petite boulette.
Ca affiche que PHP 7.1 n'est pas supporté alors que c'est le cas. :-\


Signaler au modérateur   IP archivée

Otomatic

  • Observateur
  • Pipelette pathologique
  • ******
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 1.395
  • Vieux geek assagi
      • Aviatechno
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #876 le: samedi 22 janvier 2022, 22:10 »
le: samedi 22 janvier 2022, 22:10

Y'a une comparaison à revoir !
J'ai pas vérifié l'algorithme avec toutes les versions de PHP
Ça n'empêche pas de le lancer.
Signaler au modérateur   IP archivée
« La vie sans musique est tout simplement une erreur, une fatigue, un exil. » Friedrich Nietzsche.
« Ce n'est pas parce qu'ils sont nombreux à avoir tort qu'ils ont forcément raison. » Coluche

alex

  • Administrateur
  • Moulin à paroles
  • ********
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 21.514
  • Proprio officiel chez oim !
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #877 le: samedi 22 janvier 2022, 22:13 »
le: samedi 22 janvier 2022, 22:13

C'était juste pour prévenir, c'est tout.
Te formalise pas pour ça. ;)
Signaler au modérateur   IP archivée

Otomatic

  • Observateur
  • Pipelette pathologique
  • ******
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 1.395
  • Vieux geek assagi
      • Aviatechno
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #878 le: dimanche 23 janvier 2022, 10:43 »
le: dimanche 23 janvier 2022, 10:43

Bonjour,

- PhpSysInfo 3.4.1
https://wampserver.aviatechno.net/files/apps/wampserver3_phpsysinfo3.4.1.exe

Vous êtes invités à installer cette version de PhpSysInfo qui :
Corrige un défaut de comparaison des versions PHP compatibles avec PhpMyAdmin 5.1.2.
Signaler au modérateur   IP archivée
« La vie sans musique est tout simplement une erreur, une fatigue, un exil. » Friedrich Nietzsche.
« Ce n'est pas parce qu'ils sont nombreux à avoir tort qu'ils ont forcément raison. » Coluche

Otomatic

  • Observateur
  • Pipelette pathologique
  • ******
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 1.395
  • Vieux geek assagi
      • Aviatechno
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #879 le: lundi 24 janvier 2022, 09:47 »
le: lundi 24 janvier 2022, 09:47

Bonjour,

- Aestan Tray Menu 3.2.4.3 (Merci Maximus23)
Corrections de stabilité windows 11.
Corrections Bugs Mineurs Windows 7/8/8.1/10/11.

Il est préférable et plus simple d'effectuer la mise à jour via l'installeur Inno Setup :
https://wampserver.aviatechno.net/files/aetray/wamp3_x86_x64_aetray3.2.4.3.exe
Signaler au modérateur   IP archivée
« La vie sans musique est tout simplement une erreur, une fatigue, un exil. » Friedrich Nietzsche.
« Ce n'est pas parce qu'ils sont nombreux à avoir tort qu'ils ont forcément raison. » Coluche

alex

  • Administrateur
  • Moulin à paroles
  • ********
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 21.514
  • Proprio officiel chez oim !
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #880 le: lundi 24 janvier 2022, 19:23 »
le: lundi 24 janvier 2022, 19:23

Corrige un défaut de comparaison des versions PHP compatibles avec PhpMyAdmin 5.1.2.

Impec, c'est tout bien. :jw:
Signaler au modérateur   IP archivée

Otomatic

  • Observateur
  • Pipelette pathologique
  • ******
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 1.395
  • Vieux geek assagi
      • Aviatechno
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #881 le: vendredi 04 février 2022, 10:08 »
le: vendredi 04 février 2022, 10:08

Bonjour,

- mise à jour xDebug 3.1.3
https://wampserver.aviatechno.net/files/updates/wampserver3_update_xdebug_3.1.3.exe

Xdebug 3.1.3 n'est destiné qu'aux versions de PHP 7.2, 7.3, 7.4; 8.0 & 8.1 ) et ne doit pas être installé sur les versions antérieures. Ce programme de mise à jour ne prendra en compte que les versions PHP 7.2 à 8.1
xDebug 3 announcement
xDebug 3 documentation
Signaler au modérateur   IP archivée
« La vie sans musique est tout simplement une erreur, une fatigue, un exil. » Friedrich Nietzsche.
« Ce n'est pas parce qu'ils sont nombreux à avoir tort qu'ils ont forcément raison. » Coluche

Otomatic

  • Observateur
  • Pipelette pathologique
  • ******
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 1.395
  • Vieux geek assagi
      • Aviatechno
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #882 le: vendredi 11 février 2022, 10:56 »
le: vendredi 11 février 2022, 10:56

Bonjour,

- PhpMyAdmin 4.9.10 -- Dernière version supportant PHP 5.5, 5.6 et 7.0
https://wampserver.aviatechno.net/files/apps/wampserver3_x86_x64_phpmyadmin4.9.10.exe

- PhpMyAdmin 5.1.3 -- Supporte PHP 7.1, 7.2, 7.3, 7.4, 8.0 et 8.1 - Ne supporte pas PHP 5.5, 5.6 et 7.0.
https://wampserver.aviatechno.net/files/apps/wampserver3_x86_x64_phpmyadmin5.1.3.exe
Signaler au modérateur   IP archivée
« La vie sans musique est tout simplement une erreur, une fatigue, un exil. » Friedrich Nietzsche.
« Ce n'est pas parce qu'ils sont nombreux à avoir tort qu'ils ont forcément raison. » Coluche

alex

  • Administrateur
  • Moulin à paroles
  • ********
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 21.514
  • Proprio officiel chez oim !
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #883 le: vendredi 11 février 2022, 12:24 »
le: vendredi 11 février 2022, 12:24

Ca me fait penser qu'il faudrait que je mette à jour mon PhpMyAdmin ici, sur ce serveur.
Mais je ne vois pas pourquoi le faire...

Tu aurais une bonne raison de mettre à jour, Oto, ou quelqu'un d'autre, SVP ? :iq:
Sachant que l'accès est hyper réglementé. C'est pas un petit russe ou chinois qui va pouvoir y accéder...
Signaler au modérateur   IP archivée

Otomatic

  • Observateur
  • Pipelette pathologique
  • ******
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 1.395
  • Vieux geek assagi
      • Aviatechno
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #884 le: vendredi 11 février 2022, 14:12 »
le: vendredi 11 février 2022, 14:12

Ça dépend de ta version PHP.
La version 4.9.10 corrige des failles de sécurité de la 4.9.7.
Signaler au modérateur   IP archivée
« La vie sans musique est tout simplement une erreur, une fatigue, un exil. » Friedrich Nietzsche.
« Ce n'est pas parce qu'ils sont nombreux à avoir tort qu'ils ont forcément raison. » Coluche
 

+ Réponse Rapide

Page générée en 0.089 secondes avec 21 requêtes.